Subject: Re: [PATCH] ASoC: Intel: avs: replace strcmp with sysfs_streq

From: Cezary Rojewski <[email-masked]>
Date: Tue, 30 Dec 2025 10:36:27 +0100

On 2025-12-30 9:32 AM, Brahmajit Das wrote:
> On 29.12.2025 11:03, Cezary Rojewski wrote:

...

>> Brahmajit,
>>
>> While I'm sure you did, just to be sure - did you try clean-rebuild with the
>> 44-hardcode proposed by Amadeusz? We wouldn't want any old-artifacts to get
>> in the way.
>>
>>
>> Kind regards,
>> Czarek
> 
> Czarek,
> 
> Not sure if it would help but I tracked or narrowed down the issue to
> this section of the code in the avs_condpaths_walk function.
> 
> 
> 	if (avs_tplg_path_template_id_equal(&template->source,
> 										&template->sink) && dir)
> 		continue;
> 
> If I just comment that code segment out, then it builds successfully;
> both with and without the hard coded name length.

Outstanding! Thank you for this exercise.

> I was also looking into GCC bugzilla and there seems to lot of reports
> saying these kind of error could be bogus or false positive. I'm not
> familiar with GCC internal or experienced in compilers to say/understand
> whether this case in particular is a false positive or not.

Wouldn't be the first time, though having successful builds ain't wrong 
either. After all we have git log and incremental changes/reverts are 
not a problem.

> BTW I can't seem to send the email to Amadeusz, hence removing them from
> the CC-list
>> msmtp: recipient address [email-masked] not accepted by the server

That's weird. The @linux.intel.com is gone but what you mentioned is the 
correct one.